Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021975
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2012-10-17 16:132013-02-01 22:28
ReporterVictorVillarView Statuspublic 
Assigned ToioritzCia 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionddafe117203b
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021975: It does not take into account the 'Rate' value defined in G/L Journal window

DescriptionIt does not take into account the 'Rate' value defined in G/L Journal window
Steps To ReproduceAs Group Admin role and Org: F&B EspaƱa,

   Go to G/L Journal window:
     Create a new register:
         Org: US
         Currency: USD
     Go to Header tab:
         Org: US
         Currency: USD
         (that is a wrong configuration to see the 'Rate' field, but is the only possible way to do it due to the issue= '21974')

        Rate: 3
Go to Lines and create two, the first one filling the debit and the other one filling the Credit.
Realise that the rate is not applied

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0029029 closedaferraz SL_Journal_Period raises an exception when it is called from G/L Journal Batch tab 

-  Notes
(0055983)
hgbot (developer)
2013-01-31 08:59

Repository: erp/devel/pi
Changeset: ddafe117203b20b2319a0f81db5a836af99bc44c
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Wed Jan 30 16:31:15 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ddafe117203b20b2319a0f81db5a836af99bc44c [^]

Fixes issue 21975: G/L Journal window does not take 'Rate' value into account.

---
M src-db/database/model/triggers/GL_JOURNALLINE2_TRG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/erpCommon/ad_callouts/SL_JournalLineAmt.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Journal_Period.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Journal_Period_data.xsql
---
(0056058)
VictorVillar (developer)
2013-02-01 14:11

verified
(0056094)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-10-17 16:13 VictorVillar New Issue
2012-10-17 16:13 VictorVillar Assigned To => dmiguelez
2012-10-17 16:13 VictorVillar Modules => Core
2012-10-17 17:04 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2012-10-30 13:41 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2013-01-08 09:53 VictorVillar Issue Monitored: networkb
2013-01-09 11:25 jonalegriaesarte Triggers an Emergency Pack => No
2013-01-09 11:25 jonalegriaesarte Target Version 3.0MP19 => 3.0MP20
2013-01-30 16:32 ioritzCia Status new => scheduled
2013-01-30 16:32 ioritzCia fix_in_branch => pi
2013-01-31 08:59 hgbot Checkin
2013-01-31 08:59 hgbot Note Added: 0055983
2013-01-31 08:59 hgbot Status scheduled => resolved
2013-01-31 08:59 hgbot Resolution open => fixed
2013-01-31 08:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ddafe117203b20b2319a0f81db5a836af99bc44c [^]
2013-02-01 14:11 VictorVillar Note Added: 0056058
2013-02-01 14:11 VictorVillar Status resolved => closed
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056094
2015-02-23 17:32 aferraz Relationship added causes 0029029


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker